    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.auth.authorize;
    020
    021import org.apache.wiki.auth.Authorizer;
    022
    023import jakarta.servlet.http.HttpServletRequest;
    024import java.security.Principal;
    025
    026
    027/**
    028 * Extends the {@link org.apache.wiki.auth.Authorizer} interface by including a delegate method for
    029 * {@link jakarta.servlet.http.HttpServletRequest#isUserInRole(String)}.
    030 */
    031public interface WebAuthorizer extends Authorizer {
    032
    033    /**
    034     * Determines whether a user associated with an HTTP request possesses a particular role. This method simply delegates to
    035     * {@link jakarta.servlet.http.HttpServletRequest#isUserInRole(String)} by converting the Principal's name to a String.
    036     *
    037     * @param request the HTTP request
    038     * @param role the role to check
    039     * @return <code>true</code> if the user is considered to be in the role, <code>false</code> otherwise
    040     */
    041    boolean isUserInRole( HttpServletRequest request, Principal role );
    042
    043}